.banner {
    background: #fff;
}

header {
    background-color: #f6f6f6;
}

/*====================================================
                    PROJECTS/ARTWORKS
======================================================*/
#projects {
    background: #f6f6f6;
    padding: 120px 0;
}

#artworks {
    padding: 120px 0;
    background: #f6f6f6;
}

#models {
    padding: 120px 0;
    background: #fff;
}

.categories {
    padding-bottom: 30px;
    text-align: center;
}

ul.gallery-cat li,
ul.projects-cat li {
    display: inline-block;
}

ol.type li {
    display: inline-block;
}

ol.type li:not(:first-child) {
    margin-left: 20px;
}

ol.type li a {
    border: 1px solid #777;
    color: #555;
    padding: 8px 20px;
}

ol.type li a.active {
    background: #121d1f;
    border: 1px solid #121d1f;
    color: #fff;
}

ol.type li a:hover {
    background: #121d1f;
    border: 1px solid #121d1f;
    color: #fff;
}

/* Isotope */
.pagination {
    /* Remove all except margin to shift the pagination to the left */
    display: flex;
    justify-content: center;
    list-style: none;
    padding: 0;
    margin: 45px 0 30px 0;
}

.pagination>li>a,
.pagination>li>span {
    padding: 12px 18px;
}

.pagination>li>a,
.pagination>li>a:hover,
.pagination>li>span {
    color: #121d1f;
}

.pagination>.active>a,
.pagination>.active>span,
.pagination>.active>a:hover,
.pagination>.active>span:hover,
.pagination>.active>a:focus,
.pagination>.active>span:focus {
    background-color: #121d1f;
    border-color: #121d1f;
}

.isotope-item {
    z-index: 2
}

.isotope-hidden.isotope-item {
    z-index: 1
}

.isotope,
.isotope .isotope-item {
    /* Change duration value to whatever you like */
    -webkit-transition-duration: 0.8s;
    -moz-transition-duration: 0.8s;
    transition-duration: 0.8s;
}

.isotope-item {
    margin-right: -1px;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
}

.isotope {
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    -webkit-transition-property: height, width;
    -moz-transition-property: height, width;
    transition-property: height, width;
}

.isotope .isotope-item {
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    -webkit-transition-property: -webkit-transform, opacity;
    -moz-transition-property: -moz-transform, opacity;
    transition-property: transform, opacity;
}

#artworks .col-lg-4,
#artworks .col-sm-6,
#artworks .col-xs-12 {
    padding: 15px;
}

.gallery-item {
    /*margin: 15px 0;*/
    -webkit-transition: all .3s ease-in-out;
    -moz-transition: all .3s ease-in-out;
    -o-transition: all .3s ease-in-out;
    -ms-transition: all .3s ease-in-out;
    transition: all .3s ease-in-out;
}

.gallery-item img.zoom {
    width: 100%;
    height: 200px;
    object-fit: cover;
    -webkit-transition: all .3s ease-in-out;
    -moz-transition: all .3s ease-in-out;
    -o-transition: all .3s ease-in-out;
    -ms-transition: all .3s ease-in-out;
    transition: all .3s ease-in-out;
}

.gallery-item:hover {
    -webkit-transform: scale(1.05);
    -moz-transform: scale(1.05);
    -ms-transform: scale(1.05);
    -o-transform: scale(1.05);
    transform: scale(1.05);
}

.transition {
    -webkit-transform: scale(1.1);
    -moz-transform: scale(1.1);
    -o-transform: scale(1.1);
    transform: scale(1.1);
}

.gallery-item .hover-bg {
    overflow: hidden;
    position: relative;
    border: 1px solid #777;
}

.hover-bg .hover-text {
    position: absolute;
    text-align: center;
    margin: 0 auto;
    color: #ffffff;
    background: rgba(0, 0, 0, 0.66);
    padding: 30% 0 0 0;
    height: 100%;
    width: 100%;
    opacity: 0;
    transition: all 0.5s;
}

/* FancyBox */
.fancybox-button--arrow_left,
.fancybox-button--arrow_right {
    margin-left: 30px;
    margin-right: 30px;
    transform: scale(2);
}

.hover-bg .hover-text>h4 {
    text-transform: uppercase;
    opacity: 0;
    color: #fff;
    -webkit-transform: translateY(100%);
    transform: translateY(100%);
    transition: all 0.3s;
}

.hover-bg:hover .hover-text>h4 {
    opacity: 1;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    -webkit-transform: translateY(0);
    transform: translateY(0);
}

.hover-bg .hover-text>i {
    opacity: 0;
    -webkit-transform: translateY(0);
    transform: translateY(0);
    transition: all 0.3s;
}

.hover-bg:hover .hover-text>i {
    opacity: 1;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    -webkit-transform: translateY(100%);
    transform: translateY(100%);
}

.hover-bg:hover .hover-text {
    opacity: 1;
}

/*
#projects i.fa,
#gallery i.fa {
    font-size: 20px;
    padding: 5px;
    color: #E87E04;
}

.projects {
    padding: 80px 0;
    background: #FCFCFC;
}
*/

.projects .row {
    margin-top: 15px;
}

.project-title-animation {
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.project-title-animation i {
    font-size: 36px;
    padding: 0 40px;
}

.projects h4 {
    color: #555;
    font-weight: 600;
}

figure {
    background: #fff;
    margin-bottom: 30px;
    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.08), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
}

figure .img-wrapper {
    position: relative;
    overflow: hidden;
}

figure img {
    -webkit-transform: scale3d(1, 1, 1);
    transform: scale3d(1, 1, 1);
    transition: -webkit-transform 400ms;
    transition: transform 400ms;
}

figure:hover img {
    -webkit-transform: scale3d(1.2, 1.2, 1);
    transform: scale3d(1.2, 1.2, 1);
}

figure:hover .overlay {
    opacity: 1;
}

figure:hover .overlay .buttons a {
    -webkit-transform: scale3d(1, 1, 1);
    transform: scale3d(1, 1, 1);
}

figure .overlay {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    padding: 10px;
    text-align: center;
    background: rgba(0, 0, 0, 0.7);
    opacity: 0;
    transition: opacity 400ms;
}

figure .overlay a {
    display: inline-block;
    color: #fff;
    padding: 10px 23px;
    line-height: 1;
    border: 1px solid #fff;
    border-radius: 0px;
    margin: 4px;
    -webkit-transform: scale3d(0, 0, 0);
    transform: scale3d(0, 0, 0);
    transition: all 400ms;
}

figure .overlay a:hover {
    text-decoration: none;
}

figure .overlay:hover a {
    -webkit-transform: scale3d(1, 1, 1);
    transform: scale3d(1, 1, 1);
}

figure .buttons {
    position: relative;
    top: 45%;
    left: 0%;
}

figure figcaption {
    padding: 20px 25px;
    margin-top: 0;
    color: #666;
}

figure figcaption h4 {
    margin: 0;
}

/*
figure figcaption h4 a {
    color: #02bdd5;
}
*/

figure figcaption p {
    font-size: 14px;
    margin-bottom: 0;
    margin-top: 5px;
}

.project-date-box {
    background-color: #fff;
    border: 1px solid #f2f2f2;
    padding: 0 10px 0 10px;
    text-align: center;
    position: absolute;
    top: 0;
}

.project-date-box p {
    color: #555;
    margin: 0px;
}

/*====================================================
                      3D MODELS
======================================================*/
/* This keeps child nodes hidden while the element loads */
:not(:defined)>* {
    display: none;
}

model-viewer {
    background-color: #eee;
    overflow-x: hidden;
    --poster-color: #eee;
    position: relative;
    margin: auto;
    width: 100%;
    height: 600px;
}

#ar-button {
    background-image: url(../img/assets/icons8-ar-64.png);
    background-repeat: no-repeat;
    background-size: 20px 20px;
    background-position: 15px 50%;
    background-color: #fff;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    white-space: nowrap;
    bottom: 132px;
    padding: 0px 16px 0px 40px;
    font-family: 'Roboto Regular', 'Helvetica Neue', 'sans-serif';
    font-size: 14px;
    color: #4285f4;
    height: 36px;
    line-height: 36px;
    border-radius: 18px;
    border: 1px solid #DADCE0;
}

#ar-button:active {
    background-color: #E8EAED;
}

#ar-button:focus {
    outline: none;
}

#ar-button:focus-visible {
    outline: 1px solid #4285f4;
}

@keyframes circle {
    from {
        transform: translateX(-50%) rotate(0deg) translateX(50px) rotate(0deg);
    }

    to {
        transform: translateX(-50%) rotate(360deg) translateX(50px) rotate(-360deg);
    }
}

@keyframes elongate {
    from {
        transform: translateX(100px);
    }

    to {
        transform: translateX(-100px);
    }
}

model-viewer>#ar-prompt {
    position: absolute;
    left: 50%;
    bottom: 175px;
    animation: elongate 2s infinite ease-in-out alternate;
    display: none;
}

model-viewer[ar-status="session-started"]>#ar-prompt {
    display: block;
}

model-viewer>#ar-prompt>img {
    animation: circle 4s linear infinite;
}

model-viewer>#ar-failure {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: 175px;
    display: none;
}

model-viewer[ar-tracking="not-tracking"]>#ar-failure {
    display: block;
}

.slider {
    width: 100%;
    text-align: center;
    overflow: hidden;
    position: absolute;
    bottom: 0px;
    padding-bottom: 4px;
    padding-left: 16px;
    padding-right: 16px;
}

.slides {
    display: flex;
    overflow-x: auto;
    scroll-snap-type: x mandatory;
    scroll-behavior: smooth;
    -webkit-overflow-scrolling: touch;
    padding-bottom: 4px;
}

.slide {
    scroll-snap-align: start;
    flex-shrink: 0;
    width: 100px;
    height: 100px;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    background-color: #fff;
    margin-right: 10px;
    border-radius: 10px;
    border: none;
    display: flex;
}

.slide.selected {
    border: 2px solid #4285f4;
}

.slide:focus {
    outline: none;
}

.slide:focus-visible {
    outline: 1px solid #4285f4;
}

.model-box {
    box-shadow: 0 5px 20px rgba(0, 0, 0, 0.1);
}

.models figcaption {
    padding: 20px 25px;
    margin-top: 0;
    color: #555;
    text-align: center;
}

.models figcaption h4 {
    font-weight: 600;
    margin: 0;
}

.models .small-center {
    text-align: center;
    padding: 0 10px;
}

#models a:hover {
    color: #008cff;
}

/*====================================================
                      	RESPONSIVE
====================================================*/
@media (min-width: 991px) {

    .intro-text {
        display: block;
    }
}


@media (max-width: 991px) {

    /* PROJECTS */
    figure:hover .overlay,
    .buttons {
        display: none;
        visibility: hidden;
    }

    figure figcaption {
        padding: 10px 10px;
    }

    figure figcaption h4 {
        font-size: 16px;
        margin: 0;
    }

    figure figcaption p {
        font-size: 12px;
    }
}

@media (max-width: 768px) {

    .slider {
        padding-bottom: 1px;
    }

    .slides {
        padding-bottom: 12px;
    }
}

@media (max-width: 600px) {

    figure {
        margin-bottom: 15px;
    }

    .gallery-item {
        margin: 15px 0 0 0;
    }

    ul.projects-cat li,
    ul.gallery-cat li {
        display: block;
    }

    ol.type li:not(:first-child) {
        margin-left: 0px;
    }
}

@media (max-width: 321px) {

    .intro-text h1 {
        font-size: 36px;
    }

    .intro p {
        font-size: 18px;
    }

    p.box-description {
        margin: 0px 20px;
    }
}